Subject: [bug#66099] [PATCH gnome-team v4 1/4] gnu: eudev: Update libudev version to 251.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 03 Oct 2023 21:00:16 -0400

Hi,

Vivien Kraus <[email-masked]> writes:

> Hi!
>
> Le lundi 02 octobre 2023 à 19:12 +0200, Liliana Marie Prikler a écrit :
>> Am Dienstag, dem 19.09.2023 um 13:23 +0200 schrieb Vivien Kraus:
>> > +    (native-search-paths
>> > +      (list (search-path-specification
>> > +              (variable "UDEV_HWDB_PATH")
>> > +              (files '("lib/udev/hwdb.d")))
>> Question for understanding this correctly: Is UDEV_HWDB_PATH honoured
>> for more than just UDEV_HWDB_BIN below or is this a "first file wins"
>> kind of deal?
>
> Every entry in UDEV_HWDB_PATH is search for files named "*.hwdb". All
> files from any entry in UDEV_HWDB_PATH is used to generate hwdb.bin,
> but if two files have the same name in different directories, then only
> the first file is considered. This is just for udevadm hwdb --update.
>
> UDEV_HWDB_BIN is the single location for a hwdb.bin for libudev at run-
> time. Since hwdb.bin is a complete index, eudev only loads 1 instance
> in memory, so there is no need for it to be a search path. This is a
> simple environment variable.
>
> I will update the udev-service-type instead of a profile hook.

As discussed in #guix, this approach sounds good to me!  Thanks to
Liliana for suggesting it.

-- 
Thanks,
Maxim